## x11vnc 0.9.3-maemo2

=== debian/changelog ===
x11vnc (0.9.3-maemo2) unstable; urgency=high

  * Hacked to build under scratchbox
  * Icons and desktop added

 -- Tom Zerucha <tz1@mac.com>  Wed, 19 Nov 2008 11:00:00 +0600

## x11vnc 0.9.3-maemo3

=== debian/changelog ===
x11vnc (0.9.3-maemo3) unstable; urgency=high

  * Hacked to build under scratchbox
  * desktop added
  * more cleanup

 -- Tom Zerucha <tz1@mac.com>  Wed, 19 Nov 2008 11:00:00 +0600

## x11vnc 0.9.10

=== classes/ssl/src/Makefile ===
all: clean
	@sh -c 'type javac'
	@sh -c 'type jar'
	@sh -c 'type jarsigner'
	cd ./tight || exit 1; javac *.java; jar cvf ../VncViewer.jar      *.class
	cd ./tight || exit 1; \
		rm -f *.class; \
		mv VncViewer.java VncViewer.java.SSL; \
		sed -e 's/disableSSL = false/disableSSL = true/' VncViewer.java.SSL > VncViewer.java; \
		javac *.java; jar cvf ../VncViewerNOSSL.jar *.class; \
		mv VncViewer.java.SSL VncViewer.java;
	cd ./ultra || exit 1; javac *.java; jar cvf ../UltraViewerSSL.jar *.class
	cp -p VncViewer.jar      SignedVncViewer.jar
	cp -p UltraViewerSSL.jar SignedUltraViewerSSL.jar
	jarsigner -keystore ./keystore0 -storepass abcdef SignedVncViewer.jar      swkey
	jarsigner -keystore ./keystore0 -storepass abcdef SignedUltraViewerSSL.jar swkey

update_jars: all
	cp -p VncViewer.jar SignedVncViewer.jar UltraViewerSSL.jar SignedUltraViewerSSL.jar ..
	cp -p VncViewerNOSSL.jar ../../VncViewer.jar

clean:
	rm -rf *.jar */*.class

=== classes/ssl/src/tight/Makefile ===
#
# Making the VNC applet.
#

CP = cp
JC = javac
JAR = jar
ARCHIVE = VncViewer.jar
MANIFEST = MANIFEST.MF
PAGES = index.vnc
INSTALL_DIR = /usr/local/vnc/classes

CLASSES = VncViewer.class RfbProto.class AuthPanel.class VncCanvas.class \
	  OptionsFrame.class ClipboardFrame.class ButtonPanel.class \
	  DesCipher.class CapabilityInfo.class CapsContainer.class \
	  RecordingFrame.class SessionRecorder.class AuthUnixLoginPanel.class \
	  SocketFactory.class HTTPConnectSocketFactory.class \
	  HTTPConnectSocket.class ReloginPanel.class \
	  SSLSocketToMe.class

SSL_CLASSES = SSLSocketToMe*.class TrustDialog.class

SOURCES = VncViewer.java RfbProto.java AuthPanel.java VncCanvas.java \
	  OptionsFrame.java ClipboardFrame.java ButtonPanel.java \
	  DesCipher.java CapabilityInfo.java CapsContainer.java \
	  RecordingFrame.java SessionRecorder.java AuthUnixLoginPanel.java \
	  SocketFactory.java HTTPConnectSocketFactory.java \
	  HTTPConnectSocket.java ReloginPanel.java \
	  SSLSocketToMe.java

all: $(CLASSES) $(ARCHIVE)

$(CLASSES): $(SOURCES)
	$(JC) -target 1.4 -O $(SOURCES)

$(ARCHIVE): $(CLASSES) $(MANIFEST)
	$(JAR) cfm $(ARCHIVE) $(MANIFEST) $(CLASSES) $(SSL_CLASSES)

install: $(CLASSES) $(ARCHIVE)
	$(CP) $(CLASSES) $(SSL_CLASSES) $(ARCHIVE) $(PAGES) $(INSTALL_DIR)

export:: $(CLASSES) $(ARCHIVE) $(PAGES)
	@$(ExportJavaClasses)

clean::
	$(RM) *.class *.jar

## x11vnc 0.9.3-maemo4

=== debian/changelog ===
x11vnc (0.9.3-maemo4) unstable; urgency=high

  * Hacked to build under scratchbox
  * desktop added
  * more cleanup

 -- Tom Zerucha <tz1@mac.com>  Wed, 19 Nov 2008 11:00:00 +0600

=== debian/control ===
Source: x11vnc
Section: user/utils
Priority: optional
Maintainer: tz <tz1@mac.com>
Build-Depends: autoconf, automake, autotools-dev, cdbs, debhelper (>= 5.0.0), patchutils, libtool, libavahi-client-dev, libjpeg62-dev, libssl-dev, libx11-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxrandr-dev, libxtst-dev, xutils-dev, zlib1g-dev
Standards-Version: 3.7.2

Package: x11vnc
Section: user/utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VNC server to allow remote access to an existing X session
 x11vnc allows one to view remotely and interact with real X displays (i.e. a
 display corresponding to a physical monitor, keyboard, and mouse) with any
 VNC viewer. It has built-in SSL encryption and authentication, UNIX account
 and password support, server-side scaling, single port HTTPS and VNC, mDNS
 service advertising, and TightVNC and UltraVNC file-transfer.

## x11vnc 0.9.3-maemo6

=== debian/changelog ===
x11vnc (0.9.3-maemo6) unstable; urgency=low

  * Small fixes on autogen.sh to compile on fremantle 

 -- Walter <walter.guerra@signove.com>  Thu,  4 Jun 2009 09:44:09 -0400

x11vnc (0.9.3-maemo5) unstable; urgency=high

  * moved to official user/utilities 
  * Hacked to build under scratchbox
  * desktop added
  * more cleanup

 -- Tom Zerucha <tz1@mac.com>  Wed, 19 Nov 2008 11:00:00 +0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: x11vnc
-Section: user/utils
+Section: user/utilities
 Priority: optional
 Maintainer: tz <tz1@mac.com>
-Build-Depends: autoconf, automake, autotools-dev, cdbs, debhelper (>= 5.0.0), patchutils, libtool, libavahi-client-dev, libjpeg62-dev, libssl-dev, libx11-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxrandr-dev, libxtst-dev, xutils-dev, zlib1g-dev
+Build-Depends: autoconf, automake, autotools-dev, cdbs, debhelper (>= 5.0.0), patchutils, libtool, libavahi-client-dev, libjpeg62-dev, libssl-dev, libx11-dev, libxdamage-dev, libxext-dev, libxfixes-dev, libxrandr-dev, libxtst-dev, xutils-dev, zlib1g-dev, x11proto-xext-dev, libxi-dev
 Standards-Version: 3.7.2
 
 Package: x11vnc
-Section: user/utils
+Section: user/utilities
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: VNC server to allow remote access to an existing X session

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Use included autotools+configure script
# !!! Replace this hack with DEB_AUTO_UPDATE_* if CDBS gets support for automake args !!!
DEB_CONFIGURE_SCRIPT = $(CURDIR)/$(DEB_SRCDIR)/autogen.sh
DEB_CONFIGURE_EXTRA_FLAGS = --with-x11vnc --host=$(SBOX_DPKG_INST_ARCH) --without-tightvnc-filetransfer --without-sdl --without-avahi

# clean up x11vnc & autotools mess
clean::
	+-$(DEB_MAKE_INVOKE)/x11vnc -k $(DEB_MAKE_CLEAN_TARGET)
	rm -rf aclocal.m4 autom4te.cache config.* _configs.sed configure depcomp install-sh missing rfbconfig.h.in rfb/rfbconfig.h rfb/rfbint.h
	rm -f `find . -name Makefile`
	rm -f `find . -name Makefile.in`

build/x11vnc::
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(DEB_BUILDDIR)/x11vnc

install/x11vnc::
	rm -r debian/x11vnc/*
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(DEB_BUILDDIR)/x11vnc $(DEB_MAKE_INSTALL_TARGET)
	strip debian/x11vnc/usr/bin/x11vnc
	rm -r debian/x11vnc/usr/share
	cp -a share debian/x11vnc/usr

## x11vnc 0.9.3-maemo7

=== debian/changelog ===
x11vnc (0.9.3-maemo7) unstable; urgency=low

  * Version increased to compile with new fremantle SDK (autobuilder)

 -- Hallyson Melo <hallyson.melo@openbossa.org>  Wed, 18 Nov 2009 18:47:00 -0300

## x11vnc 0.9.10

=== debian/changelog ===
x11vnc (0.9.10-1) unstable; urgency=low

  * New upstream release:
    - enabled fix for tight security type for RFB 3.8 (Closes: #517422)
  * Add x11vnc-data package: split jar files.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - bump debhelper build dependencies.
    - bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/rules:
    - enable parallel build (pass --parallel option to dh).
    - list missing files (pass --list-missing option to dh).
    - rebuild signed jar files on all architectures except:
      hppa, hurd-i386, kfreebsd-amd64 and kfreebsd-i386.
      The Sun's java/jarsigner isn't available on these architectures.
      (Closes: #559088)

 -- Fathi Boudra <fabo@debian.org>  Mon, 14 Jun 2010 11:49:13 +0300

x11vnc (0.9.9-1) unstable; urgency=low

  * New upstream release:
    - Improve -rfbauth option documentation in the manual page.
      (Closes: #496294)
    - Improve -quiet option documentation. (Closes: #560805)
    - Print error reasons for -storepasswd failures. (Closes: #560809)
  * Drop XTrap support. XTrap has been removed from the xserver.
    Remove libxtrap-dev build dependency. (Closes: #559699)
  * Add chrpath build dependency to remove x11vnc rpath.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 23 Dec 2009 11:58:48 +0100

x11vnc (0.9.8-2) unstable; urgency=low

  * Updated debian/copyright:
    - Added OpenSSl license exception to link against libssl.
  * Updated debian/control:
    - Set myself as Maintainer.
    - Added libssl-dev build dependency.
    - Added openssl dependency. (Closes: #501020)
  * Updated debian/rules:
    - Removed --without-ssl configure option.

 -- Fathi Boudra <fabo@debian.org>  Mon, 10 Aug 2009 07:55:12 +0200

x11vnc (0.9.8-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #529010):
    - x11vnc is removed upstream from libvncserver sources.
      Now, it is released separately.
    - fixed x11vnc -forever segfault. (Closes: #461382)
    - x11vnc.desktop file is included. (Closes: #475113)
  * Bumped debian/compat from 5 to 7.
  * Updated debian/control:
    - Cleanuped build dependencies.
    - Removed libssl-dev build dependency.
    - Added Homepage field.
    - Added tk dependency. (Closes: #505213)
    - Added default-jdk build dependency. java applet are built from sources.
      (Closes: #507011, #500970)
  * Updated debian/copyright.
  * Switched debian/rules from cdbs to dh usage.

 -- Fathi Boudra <fabo@debian.org>  Fri, 07 Aug 2009 15:45:36 +0200

libvncserver (0.9.3.dfsg.1-2) unstable; urgency=low

  * QA upload.
  * Drop useless build-depends on linux-libc-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 May 2009 20:11:07 +0200

libvncserver (0.9.3.dfsg.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release. (Closes: #448942)
    - CVS tag X11VNC_REL_0_9_3
  * Switched rules to CDBS.
  * Bumped compat to 5.
  * Bumped Standards-Version to 3.7.2
  * Enabled shared libraries. (Closes: #373298)
  * Dropped vncommand, since it isn't installed by make install.
    - All hate-mail should be sent to debian@pusling.com
  * Added debug package.
  * Removed the classes/ dir, there are no sources for the jar files.
    - Appended .dfsg.1 to source version.
    - Added patch 01_ignore_classes to allow building without classes/ dir.
  * Added patch 02_linux_test to look for /usr/include/linux instead of /dev/vcsa

 -- Matthew Rosewarne <mrosewarne@inoutbox.com>  Mon, 05 Nov 2007 03:22:20 -0500

libvncserver (0.8.2-2) unstable; urgency=low

  * Orphaning package 

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 25 Apr 2007 12:00:32 +0200

libvncserver (0.8.2-1) unstable; urgency=high

  * New upstream release. Closes: #373808
  * This new release fixes a security bug which might be present in the
    previous release of the package. Closes: #376824
  * urgency=high because a probable security bug was fixed.

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 17 Jul 2006 20:43:38 +0200

libvncserver (0.7.1-5) unstable; urgency=high

  * Re-upload with urgency=high because the package in testing is unusable

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 12 Jan 2006 15:30:00 +0100

libvncserver (0.7.1-4) unstable; urgency=low

  * Put x11vnc 0.7.3 sources in their own directory. Closes: #333880
  * Updated build-depends. Closes: #347019

 -- Ludovic Drolez <ldrolez@debian.org>  Mon,  9 Jan 2006 23:13:15 +0100

libvncserver (0.7.1-3) unstable; urgency=low

  * Added x11vnc 0.7.3 sources. Closes: #328943
  * Added the x11vnc FAQ which is in the README. Closes: #325479
  * Added build dependencies on libxdamage-dev, libfixes-dev, libxrandr-dev

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 28 Sep 2005 19:00:05 +0200

libvncserver (0.7.1-2) unstable; urgency=low

  * Removed the /dev/vcsa1 test to fix the pbuilder bug. Closes: #322643
  * new vncommand package: allows you to attach a VNC server to any command

 -- Ludovic Drolez <ldrolez@debian.org>  Fri, 26 Aug 2005 18:02:16 +0200

libvncserver (0.7.1-1) unstable; urgency=low

  * New upstream release. Closes: #309385

 -- Ludovic Drolez <ldrolez@debian.org>  Fri, 25 Mar 2005 20:48:38 +0100

libvncserver (0.7-1) unstable; urgency=low

  * New upstream release
  * New upstream x11vnc man page. Closes: Bug#277510

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 31 Jan 2005 23:06:17 +0100

libvncserver (0.6-3) unstable; urgency=low

  * Added the latest x11vnc.c (0.6.1) which has the -scale option.
  * Added the scale option in the manual.

 -- Ludovic Drolez <ldrolez@debian.org>  Fri, 16 Jul 2004 16:26:09 +0200

libvncserver (0.6-2) unstable; urgency=low

  * Added the latest x11vnc.c from the CVS. Closes: Bug#246205

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 29 Apr 2004 22:09:53 +0200

libvncserver (0.6-1) unstable; urgency=low

  * Initial Release.
  * Integrated the last release of x11vnc.



=== debian/control ===
Source: x11vnc
Section: x11
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), chrpath, automake, libtool, default-jdk,
 libavahi-client-dev, libssl-dev, libvncserver-dev (>= 0.9.7),
 libxdamage-dev, libxext-dev, libxfixes-dev, libxinerama-dev, libxrandr-dev,
 libxss-dev, libxtst-dev
Standards-Version: 3.8.4
Homepage: http://www.karlrunge.com/x11vnc/

Package: x11vnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, x11vnc-data (= ${source:Version}),
 openssl, tk
Description: VNC server to allow remote access to an existing X session
 x11vnc allows one to view remotely and interact with real X displays (i.e. a
 display corresponding to a physical monitor, keyboard, and mouse) with any
 VNC viewer. It has built-in SSL encryption and authentication, UNIX account
 and password support, server-side scaling, single port HTTPS and VNC, mDNS
 service advertising, and TightVNC and UltraVNC file-transfer.

Package: x11vnc-data
Architecture: all
Depends: ${misc:Depends}
Recommends: x11vnc (>= ${source:Version})
Replaces: x11vnc (<< 0.9.10)
Description: data files for x11vnc
 This package contains the data files for x11vnc, a VNC server allowing remote
 access to an existing X session. Unless you have 'x11vnc' package installed,
 you probably won't find this package useful.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --list-missing

override_dh_auto_configure:
	aclocal
	autoheader
	automake --add-missing --copy
	autoconf
ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq ($(DEB_HOST_ARCH),hppa)
	$(MAKE) -C classes/ssl/src update_jars
	$(MAKE) -C classes/ssl/src clean
  endif
endif
	dh_auto_configure -- --with-system-libvncserver

override_dh_auto_clean:
	dh_auto_clean
	rm -rf autom4te.cache
	rm -f aclocal.m4 config.guess config.sub configure \
		depcomp install-sh missing \
		rfbconfig.h.in rfb/rfbconfig.h rfb/rfbint.h
	find . -type f -name Makefile.in -delete
ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq ($(DEB_HOST_ARCH),hppa)
	find . -type f -name '*.jar' -delete
  endif
endif

override_dh_auto_install:
	dh_auto_install
	find debian -type f -name 'x11vnc' | xargs chrpath -d

.PHONY: override_dh_auto_test

## x11vnc 0.9.12

=== debian/changelog ===
x11vnc (0.9.12-1) unstable; urgency=low

  * New upstream release. (Closes: #609899)
    - jar files fail to work on earlier jvm's. (Closes: #593305)
    - FTBFS: error: 'pointer' redeclared as different kind of symbol.
      (Closes: #610802)

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 Feb 2011 12:04:32 +0200

x11vnc (0.9.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: B-D-I on openjdk-6-jdk rather than B-D on default-jdk.
  * debian/rules: Only rebuild jars in binary and binary-indep targets.
    (Closes: #598619)

 -- Tim Retout <diocles@debian.org>  Mon, 18 Oct 2010 23:53:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), chrpath, automake, libtool, default-jdk,
+Build-Depends: debhelper (>= 8.0.0), chrpath, automake, libtool,
  libavahi-client-dev, libssl-dev, libvncserver-dev (>= 0.9.7),
  libxdamage-dev, libxext-dev, libxfixes-dev, libxinerama-dev, libxrandr-dev,
  libxss-dev, libxtst-dev
-Standards-Version: 3.8.4
+Build-Depends-Indep: openjdk-6-jdk
+Standards-Version: 3.9.1
 Homepage: http://www.karlrunge.com/x11vnc/
 
 Package: x11vnc

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --list-missing

binary binary-indep:
	dh $@ --parallel --list-missing --until dh_auto_install
	$(MAKE) -C classes/ssl/src update_jars
	$(MAKE) -C classes/ssl/src clean
	dh_auto_install -- -C classes
	dh $@ --parallel --list-missing --remaining

override_dh_auto_configure:
	aclocal
	autoheader
	automake --add-missing --copy
	autoconf
	dh_auto_configure -- --with-system-libvncserver

override_dh_auto_build:
	dh_auto_build -- -C x11vnc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf autom4te.cache
	rm -f aclocal.m4 config.guess config.sub configure \
		depcomp install-sh missing \
		rfbconfig.h.in rfb/rfbconfig.h rfb/rfbint.h
	find . -type f -name Makefile.in -delete
	find . -type f -name '*.jar' -delete

override_dh_auto_install:
	dh_auto_install -- -C x11vnc
	find debian -type f -name 'x11vnc' | xargs chrpath -d

.PHONY: override_dh_auto_test

## x11vnc 0.9.13

=== classes/ssl/src/Makefile ===
--- 
+++ 
@@ -1,15 +1,17 @@
+JC_ARGS = -target 1.4 -source 1.4
+
 all: clean
 	@sh -c 'type javac'
 	@sh -c 'type jar'
 	@sh -c 'type jarsigner'
-	cd ./tight || exit 1; javac *.java; jar cvf ../VncViewer.jar      *.class
+	cd ./tight || exit 1; javac $(JC_ARGS) *.java; jar cvf ../VncViewer.jar      *.class
 	cd ./tight || exit 1; \
 		rm -f *.class; \
 		mv VncViewer.java VncViewer.java.SSL; \
 		sed -e 's/disableSSL = false/disableSSL = true/' VncViewer.java.SSL > VncViewer.java; \
-		javac *.java; jar cvf ../VncViewerNOSSL.jar *.class; \
+		javac $(JC_ARGS) *.java; jar cvf ../VncViewerNOSSL.jar *.class; \
 		mv VncViewer.java.SSL VncViewer.java;
-	cd ./ultra || exit 1; javac *.java; jar cvf ../UltraViewerSSL.jar *.class
+	cd ./ultra || exit 1; javac $(JC_ARGS) *.java; jar cvf ../UltraViewerSSL.jar *.class
 	cp -p VncViewer.jar      SignedVncViewer.jar
 	cp -p UltraViewerSSL.jar SignedUltraViewerSSL.jar
 	jarsigner -keystore ./keystore0 -storepass abcdef SignedVncViewer.jar      swkey

=== classes/ssl/src/tight/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 CP = cp
 JC = javac
+JC_ARGS = -target 1.4 -source 1.4
 JAR = jar
 ARCHIVE = VncViewer.jar
 MANIFEST = MANIFEST.MF
@@ -31,7 +32,7 @@
 all: $(CLASSES) $(ARCHIVE)
 
 $(CLASSES): $(SOURCES)
-	$(JC) -target 1.4 -O $(SOURCES)
+	$(JC) $(JC_ARGS) -O $(SOURCES)
 
 $(ARCHIVE): $(CLASSES) $(MANIFEST)
 	$(JAR) cfm $(ARCHIVE) $(MANIFEST) $(CLASSES) $(SSL_CLASSES)

=== classes/ssl/src/ultra/Makefile ===
#
# Making the VNC applet.
#

CP = cp
JC = javac
JC_ARGS = -target 1.4 -source 1.4
JAR = jar
ARCHIVE = VncViewer.jar
PAGES = index.vnc shared.vnc noshared.vnc hextile.vnc zlib.vnc tight.vnc
INSTALL_DIR = /usr/local/vnc/classes

CLASSES = VncViewer.class RfbProto.class AuthPanel.class VncCanvas.class \
	  OptionsFrame.class ClipboardFrame.class ButtonPanel.class \
	  DesCipher.class RecordingFrame.class SessionRecorder.class DH.class

SOURCES = VncViewer.java RfbProto.java AuthPanel.java VncCanvas.java \
	  OptionsFrame.java ClipboardFrame.java ButtonPanel.java \
	  DesCipher.java RecordingFrame.java SessionRecorder.java DH.java

all: $(CLASSES) $(ARCHIVE)

$(CLASSES): $(SOURCES)
	$(JC) $(JC_ARGS) -O $(SOURCES)

$(ARCHIVE): $(CLASSES)
	$(JAR) cf $(ARCHIVE) $(CLASSES)

install: $(CLASSES) $(ARCHIVE)
	$(CP) $(CLASSES) $(ARCHIVE) $(PAGES) $(INSTALL_DIR)

export:: $(CLASSES) $(ARCHIVE) $(PAGES)
	@$(ExportJavaClasses)

clean::
	$(RM) *.class *.jar

=== debian/changelog ===
x11vnc (0.9.13-3) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group. (see #879439)
  * Use default-jdk for building.

 -- Adrian Bunk <bunk@debian.org>  Thu, 29 Mar 2018 15:15:50 +0300

x11vnc (0.9.13-2) unstable; urgency=medium

  * Add patches:
    - 0001-Fix-openssl-1.1.x-detection.patch - update configure.ac to detect
      the OpenSSL  instead of SSL_library_init function
    - 0002-Support-openssl-1.1.0.patch - add support for OpenSSL 1.1.0
      (Closes: #845106)
    - do-not-run-dbus-launch.patch (Closes: #836401)
    - enforce-bash.patch - enforce bash due to shopt usage (Closes: #690637)
  * Update 10_usepkgconfig.diff: use $PKG_CONFIG instead of pkg-config.
    Thanks to Helmut Grohne. (Closes: #845723)
  * Update debian/control:
    - add dh-autoreconf build dependency
    - we really want openjdk, so use openjdk-8-jdk | openjdk-7-jdk
  * Update debian/rules: pass --without-tightvnc-filetransfer to configure.

 -- Fathi Boudra <fabo@debian.org>  Wed, 21 Dec 2016 16:59:50 +0200

x11vnc (0.9.13-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with libssl1.0-dev for now. (Closes: #845106)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 19 Dec 2016 02:37:39 +0000

x11vnc (0.9.13-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * 10_usepkgconfig.diff: Use pkg-config instead of libvncserver-config to
    locate libvncserver/client. This prevents unnecessary linkage and fixes a
    FTBFS caused by trying to link against libgcrypt (which is not a
    build-dependency). Closes: #760086

 -- Andreas Metzler <ametzler@debian.org>  Sun, 31 Aug 2014 18:16:32 +0200

x11vnc (0.9.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Transition package to use default java implementation":
    apply patch from Ubuntu / James Page:

    Transition package to build with default java implementation:
     - d/control: BD on default-jdk (>= 1:1.6) instead of openjdk-6-jdk.

    (Closes: #684378)

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 May 2013 19:14:10 +0200

x11vnc (0.9.13-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 12:57:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,33 @@
 Source: x11vnc
 Section: x11
 Priority: optional
-Maintainer: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 8.0.0), chrpath, automake, libtool,
- libavahi-client-dev, libssl-dev, libvncserver-dev (>= 0.9.7),
- libxdamage-dev, libxext-dev, libxfixes-dev, libxinerama-dev, libxrandr-dev,
- libxss-dev, libxtst-dev
-Build-Depends-Indep: openjdk-6-jdk
-Standards-Version: 3.9.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: automake,
+               chrpath,
+               debhelper (>= 9),
+               dh-autoreconf,
+               libavahi-client-dev,
+               libssl-dev,
+               libtool,
+               libvncserver-dev (>= 0.9.9),
+               libxdamage-dev,
+               libxext-dev,
+               libxfixes-dev,
+               libxinerama-dev,
+               libxrandr-dev,
+               libxss-dev,
+               libxtst-dev
+Build-Depends-Indep: default-jdk
+Standards-Version: 3.9.8
 Homepage: http://www.karlrunge.com/x11vnc/
 
 Package: x11vnc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, x11vnc-data (= ${source:Version}),
- openssl, tk
+Depends: openssl,
+         tk,
+         x11vnc-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: VNC server to allow remote access to an existing X session
  x11vnc allows one to view remotely and interact with real X displays (i.e. a
  display corresponding to a physical monitor, keyboard, and mouse) with any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel --list-missing
+	dh $@ --parallel --with autoreconf --list-missing
 
 binary binary-indep:
 	dh $@ --parallel --list-missing --until dh_auto_install
@@ -11,11 +11,7 @@
 	dh $@ --parallel --list-missing --remaining
 
 override_dh_auto_configure:
-	aclocal
-	autoheader
-	automake --add-missing --copy
-	autoconf
-	dh_auto_configure -- --with-system-libvncserver
+	dh_auto_configure -- --with-system-libvncserver --without-tightvnc-filetransfer
 
 override_dh_auto_build:
 	dh_auto_build -- -C x11vnc
@@ -33,4 +29,4 @@
 	dh_auto_install -- -C x11vnc
 	find debian -type f -name 'x11vnc' | xargs chrpath -d
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:

## x11vnc 0.9.13.1

=== debian/changelog ===
x11vnc (0.9.13.1-6) unstable; urgency=medium

  * update

 -- Nikita Yushchenko <yoush@debian.org>  Mon, 28 Jun 2021 15:30:24 +0800

x11vnc (0.9.13.1-6) unstable; urgency=low

  * Non-maintainer upload.
  * fix cve-2020-29074

 -- kongxinglong <kongxinglong@uniontech.com>  Fri, 18 Jun 2021 13:24:51 +0800

x11vnc (0.9.13-6) unstable; urgency=medium

  * Add two buffer overflow fixes from upstream. Closes: #851496, #859213.
    This is a temporary measure, new upstream should be package instead.

 -- Nikita Yushchenko <yoush@debian.org>  Mon, 07 May 2018 23:13:43 +0300

x11vnc (0.9.13-5) unstable; urgency=low

  * Split build and install into arch and indep parts (Closes: #895591).

 -- Nikita Yushchenko <yoush@debian.org>  Fri, 13 Apr 2018 17:09:45 +0300

x11vnc (0.9.13-4) unstable; urgency=low

  * New maintainer (Closes: #879439).
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Use compat version 10:
    - no need to pass --parallel to dh,
    - no need to pass --with autoreconf to dh and build-depend on autoreconf.
  * Re-arrange commands in debian/rules to avoid need of dh --until.

 -- Nikita Yushchenko <yoush@debian.org>  Tue, 10 Apr 2018 21:39:56 +0300

## x11vnc 0.9.16

=== debian/changelog ===
x11vnc (0.9.16-3) unstable; urgency=medium

  * debian/control Team maintenance
  * debian/control Rules-Requires-Root: no
  * debian/control Bump Standards-Version to 4.4.1 (no changes needed)

 -- Antoni Villalonga <antoni@friki.cat>  Thu, 07 Nov 2019 20:19:00 +0100

x11vnc (0.9.16-2) unstable; urgency=medium

  * Fix debian/watch signature verification (gittag based)
  * Upload to unstable
  * Bump Standards-Version to 4.4.0

 -- Antoni Villalonga <antoni@friki.cat>  Thu, 01 Aug 2019 17:04:40 +0200

x11vnc (0.9.16-1) experimental; urgency=medium

  [ Antoni Villalonga ]
  * New maintainer. Closes: #921960
  * New upstream version 0.9.16. Closes: #672435, #805100, #857498, #902893
  * Clean debian/rules
  * Clean debian/patches/
  * Remove package x11vnc-data
  * Bump Standards-Version to 4.3.0
  * Update to debhelper-compat 12
  * Add patch 0000-Xdummy-man-page.patch
  * Add patch 0001-fix-typos.patch
  * Add patch 0002-x11vnc.desktop-keywords.patch
  * Update debian/copyright to policy conformant
  * Add debian/source/format, 3.0 quilt
  * Add debian/upstream/metadata
  * Add debian/watch to github

 -- Antoni Villalonga <antoni@friki.cat>  Mon, 08 Apr 2019 14:05:49 +0200

=== debian/control ===
Source: x11vnc
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Antoni Villalonga <antoni@friki.cat>,
Build-Depends: automake,
               chrpath,
               debhelper-compat (= 12),
               libavahi-client-dev,
               libssl-dev,
               libtool,
               libvncserver-dev (>= 0.9.9),
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxss-dev,
               libxtst-dev
Standards-Version: 4.4.1
Homepage: http://www.karlrunge.com/x11vnc/
Vcs-Git: https://salsa.debian.org/debian-remote-team/x11vnc.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x11vnc
Rules-Requires-Root: no

Package: x11vnc
Architecture: any
Depends: openssl,
         tk,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: x11vnc-data
Description: VNC server to allow remote access to an existing X session
 x11vnc allows one to view remotely and interact with real X displays (i.e. a
 display corresponding to a physical monitor, keyboard, and mouse) with any
 VNC viewer. It has built-in SSL encryption and authentication, UNIX account
 and password support, server-side scaling, single port HTTPS and VNC, mDNS
 service advertising, and TightVNC and UltraVNC file-transfer.

=== debian/watch ===
version=4
opts=pgpmode=gittag,mode=git https://github.com/LibVNC/x11vnc .*/(\d\S+)\.tar\.gz

## x11vnc 0.9.17

=== debian/changelog ===
x11vnc (0.9.17-2) unstable; urgency=medium

  * d/control:
    - Add libcrypt-dev to Build-Depends (Closes: #1106919).
    - Add myself to Uploaders.
    - Drop 'Rules-Requires-Root: no', it is the default now.
    - Bump Standards-Version to 4.7.3.
    - Let Homepage point to current upstream.
  * d/rules: Make sure CPPFLAGS is honored during the build.
  * d/gbp.conf:
    - Introduce gbp configuration, rename branches to comply with DEP-14.
  * d/u/signing-key.asc: Dropped, it does not correspond to current upstream.
  * d/watch: Update it to version 5 format.
  * d/copyright:
    - Drop Upstream-Contact for being outdated.
    - Rectify license from GPL-2 to GPL-2+.
    - Rework it for readability.
    - Extend packaging copyrights.

 -- Sven Geuer <sge@debian.org>  Thu, 15 Jan 2026 16:47:29 +0100

x11vnc (0.9.17-1) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Trivial rebase patches 0000 and 0001.
    + Rebase / update 0002-fix-typos.patch.
    + Drop patches 0003, 0004, 0005, 0006 and 0007. All applied upstream.
    + Add 1001-use-bash-for-Xdummy-script.patch. The Xdummy script uses
      bash'isms, so use bash for running the script.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update FSF mailing address.
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 17:57:50 +0200

x11vnc (0.9.16-10) unstable; urgency=medium

  * Team upload.

  [ Michael Hudson-Doyle ]
  * debian/patches:
    + Add 0007-use-clock_gettime-to-replace-gettimeofday.patch. Fix FTBFS
      related to time_64t transition. (Closes: #1067076).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Apr 2024 17:32:02 +0200

x11vnc (0.9.16-9) unstable; urgency=medium

  * Team upload.

  * debian/control:
    + Enforce rebuild against libvncserver (>= 0.9.13+dfsg-4~). This version
      introduced an ABI incompatibility that requires a rebuild of x11vnc.
      (Closes: #1030609, #1027043).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 18:00:01 +0100

x11vnc (0.9.16-8) unstable; urgency=medium

  * d/control: Add Recommends x11-utils. Closes: #1001599

 -- Antoni Villalonga <antoni@friki.cat>  Mon, 13 Dec 2021 18:05:31 +0000

x11vnc (0.9.16-7) unstable; urgency=medium

  [ Antoni Villalonga ]
  * autopkgtests: Modify allow-connections waiting time and wait for ending
    processes. (Closes: #983019).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Feb 2021 15:57:51 +0100

x11vnc (0.9.16-6) unstable; urgency=medium

  * autopkgtests: Add allow-connections
  * d/watch: Adjust to dh_make skel for github

 -- Antoni Villalonga <antoni@friki.cat>  Mon, 30 Nov 2020 16:51:45 +0100

x11vnc (0.9.16-5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * scan: limit access to shared memory segments to current user
    (CVE-2020-29074) (Closes: #975875)

  [ Antoni Villalonga ]
  * Update to debhelper-compat 13
  * dPatches: Add Forwarder DEP-3 tag
  * dPatches: Add patch 0006-fix-manpage-acute-accents.patch
  * dControl: Bump Standards-Version to 4.5.1

 -- Antoni Villalonga <antoni@friki.cat>  Sat, 28 Nov 2020 09:01:54 +0100

x11vnc (0.9.16-4) unstable; urgency=medium

  * Add patch 0004-x11vnc.ftbfs-gcc10.patch (Closes: #957965)
  * Standards-Version: 4.5.0 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rename salsa-ci file
  * d/upstream/metadata: Repository and Bug
  * Re-export upstream signing key without extra signatures.

 -- Antoni Villalonga <antoni@friki.cat>  Fri, 17 Apr 2020 14:56:23 +0200

=== debian/control ===
Source: x11vnc
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders: Antoni Villalonga <antoni@friki.cat>,
           Sven Geuer <sge@debian.org>
Section: x11
Priority: optional
Build-Depends: automake,
               chrpath,
               debhelper-compat (= 13),
               libavahi-client-dev,
               libcrypt-dev,
               libssl-dev,
               libtool,
               libvncserver-dev (>= 0.9.13+dfsg-4~),
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxss-dev,
               libxtst-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x11vnc
Vcs-Git: https://salsa.debian.org/debian-remote-team/x11vnc.git
Homepage: https://github.com/LibVNC/x11vnc

Package: x11vnc
Architecture: any
Depends: openssl,
         tk,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: x11-utils,
Replaces: x11vnc-data
Description: VNC server to allow remote access to an existing X session
 x11vnc allows one to view remotely and interact with real X displays (i.e. a
 display corresponding to a physical monitor, keyboard, and mouse) with any
 VNC viewer. It has built-in SSL encryption and authentication, UNIX account
 and password support, server-side scaling, single port HTTPS and VNC, mDNS
 service advertising, and TightVNC and UltraVNC file-transfer.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Make blhc happy
CFLAGS += $(CPPFLAGS)

%:
	dh $@

=== debian/watch ===
Version: 5
Template: Github
Owner: LibVNC
Project: x11vnc
